% Lateral LQR Design
d2r=pi/180; r2d=180/pi;
[Ad, Bd, Cd, Dd]= vehi_ldes;                        % LQR Design Model
[An, Bn, Cn, Dn]= vehi_latan2;                      % Analysis Model
Q= [0.05, 0.1, 0.0001, 0.1, 0.01]; Q=diag(Q);       % Weight Matrices Q, R
R= [1, 1]*5; R=diag(R); 
[Kg, s, e] = LQR(Ad,Bd,Q,R)                         % Lateral State-Feedback Matrix

[Ao,Bo,Co,Do]=LINMOD('Lat_Open');                   % Frequ analysis system
sys= SS(Ao,Bo,Co,Do); 
w=logspace(-2, 3, 30000); 
figure(1); Nichols(sys,w)
figure(2); Bode(sys,w)
